Package com.xebialabs.deployit.io

## Class StreamWrappingOverthereFile

- java.lang.Object
- - com.xebialabs.deployit.io.StreamWrappingOverthereFile

- All Implemented Interfaces:
    `com.xebialabs.overthere.OverthereFile`

      public class StreamWrappingOverthereFile
      extends java.lang.Object
      implements com.xebialabs.overthere.OverthereFile

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NOT_SUPPORTED_MESSAGE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamWrappingOverthereFile​(java.lang.String name, java.io.InputStream bytes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canExecute()` |
    `boolean` | `canRead()` |
    `boolean` | `canWrite()` |
    `void` | `copyTo​(com.xebialabs.overthere.OverthereFile dest)` |
    `void` | `copyToWithConfig​(com.xebialabs.overthere.OverthereFile dest, java.util.Map<java.lang.String,​java.lang.String> config)` |
    `void` | `delete()` |
    `void` | `deleteRecursively()` |
    `boolean` | `exists()` |
    `com.xebialabs.overthere.OverthereConnection` | `getConnection()` |
    `com.xebialabs.overthere.OverthereFile` | `getFile​(java.lang.String child)` |
    `java.io.InputStream` | `getInputStream()` |
    `java.lang.String` | `getName()` |
    `java.io.OutputStream` | `getOutputStream()` |
    `com.xebialabs.overthere.OverthereFile` | `getParentFile()` |
    `java.lang.String` | `getPath()` |
    `boolean` | `isDirectory()` |
    `boolean` | `isFile()` |
    `boolean` | `isHidden()` |
    `long` | `lastModified()` |
    `long` | `length()` |
    `java.util.List<com.xebialabs.overthere.OverthereFile>` | `listFiles()` |
    `void` | `mkdir()` |
    `void` | `mkdirs()` |
    `void` | `renameTo​(com.xebialabs.overthere.OverthereFile dest)` |
    `void` | `setExecutable​(boolean executable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOT_SUPPORTED_MESSAGE

          public static final java.lang.String NOT_SUPPORTED_MESSAGE

  - ### Constructor Detail

    - #### StreamWrappingOverthereFile

          public StreamWrappingOverthereFile​(java.lang.String name,
                                             java.io.InputStream bytes)

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream()

      Specified by:
        `getInputStream` in interface `com.xebialabs.overthere.OverthereFile`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `com.xebialabs.overthere.OverthereFile`

    - #### isFile

          public boolean isFile()

      Specified by:
        `isFile` in interface `com.xebialabs.overthere.OverthereFile`

    - #### isDirectory

          public boolean isDirectory()

      Specified by:
        `isDirectory` in interface `com.xebialabs.overthere.OverthereFile`

    - #### canRead

          public boolean canRead()

      Specified by:
        `canRead` in interface `com.xebialabs.overthere.OverthereFile`

    - #### getConnection

          public com.xebialabs.overthere.OverthereConnection getConnection()

      Specified by:
        `getConnection` in interface `com.xebialabs.overthere.OverthereFile`

    - #### getPath

          public java.lang.String getPath()

      Specified by:
        `getPath` in interface `com.xebialabs.overthere.OverthereFile`

    - #### getParentFile

          public com.xebialabs.overthere.OverthereFile getParentFile()

      Specified by:
        `getParentFile` in interface `com.xebialabs.overthere.OverthereFile`

    - #### getFile

          public com.xebialabs.overthere.OverthereFile getFile​(java.lang.String child)

      Specified by:
        `getFile` in interface `com.xebialabs.overthere.OverthereFile`

    - #### exists

          public boolean exists()

      Specified by:
        `exists` in interface `com.xebialabs.overthere.OverthereFile`

    - #### canWrite

          public boolean canWrite()

      Specified by:
        `canWrite` in interface `com.xebialabs.overthere.OverthereFile`

    - #### canExecute

          public boolean canExecute()

      Specified by:
        `canExecute` in interface `com.xebialabs.overthere.OverthereFile`

    - #### isHidden

          public boolean isHidden()

      Specified by:
        `isHidden` in interface `com.xebialabs.overthere.OverthereFile`

    - #### lastModified

          public long lastModified()

      Specified by:
        `lastModified` in interface `com.xebialabs.overthere.OverthereFile`

    - #### length

          public long length()

      Specified by:
        `length` in interface `com.xebialabs.overthere.OverthereFile`

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `com.xebialabs.overthere.OverthereFile`

    - #### setExecutable

          public void setExecutable​(boolean executable)

      Specified by:
        `setExecutable` in interface `com.xebialabs.overthere.OverthereFile`

    - #### delete

          public void delete()

      Specified by:
        `delete` in interface `com.xebialabs.overthere.OverthereFile`

    - #### deleteRecursively

          public void deleteRecursively()

      Specified by:
        `deleteRecursively` in interface `com.xebialabs.overthere.OverthereFile`

    - #### listFiles

          public java.util.List<com.xebialabs.overthere.OverthereFile> listFiles()

      Specified by:
        `listFiles` in interface `com.xebialabs.overthere.OverthereFile`

    - #### mkdir

          public void mkdir()

      Specified by:
        `mkdir` in interface `com.xebialabs.overthere.OverthereFile`

    - #### mkdirs

          public void mkdirs()

      Specified by:
        `mkdirs` in interface `com.xebialabs.overthere.OverthereFile`

    - #### renameTo

          public void renameTo​(com.xebialabs.overthere.OverthereFile dest)

      Specified by:
        `renameTo` in interface `com.xebialabs.overthere.OverthereFile`

    - #### copyTo

          public void copyTo​(com.xebialabs.overthere.OverthereFile dest)

      Specified by:
        `copyTo` in interface `com.xebialabs.overthere.OverthereFile`

    - #### copyToWithConfig

          public void copyToWithConfig​(com.xebialabs.overthere.OverthereFile dest,
                                       java.util.Map<java.lang.String,​java.lang.String> config)

      Specified by:
        `copyToWithConfig` in interface `com.xebialabs.overthere.OverthereFile`